Type PLANE Extends MESH
	Global PlaneList:TList=Null
							
	Method New()
		If Not PlaneList Then PlaneList=New TList
		PlaneList.AddLast(Self)
	EndMethod
	
	Method Destroy()
		Super.Destroy()
		PlaneList.Remove(Self)
	EndMethod
EndType

' NOTE: NEW params
Function ib3d_CreatePlane:PLANE(tileSizeX:Float,tileSizeY:Float,tileCountX:Int,tileCountY:Int,parent:ib3d_Entity=Null)
	If Not _g_ib3d_engine Then RuntimeError "iB3D engine has not been initialized"
	Return _g_ib3d_engine.createPlane(tileSizeX,tileSizeY,tileCountX,tileCountY,parent)
EndFunction


Rem
CreatePlane - ISceneManager.addHillPlaneMesh(), ISceneManager.addAnimatedMeshSceneNode()
EndRem

