' ------------------------------------------------------------------------------------
' irr::core::line2d<s32> wrappers
' ------------------------------------------------------------------------------------

Public

Extern

	Function IrrCore_Line2di_new:Int()
	Function IrrCore_Line2di_newFromVals:Int(xa:Int=0,ya:Int=0,xb:Int=0,yb:Int=0)
	Function IrrCore_Line2di_newFromVects:Int(pStart:Int,pEnd:Int)
	Function IrrCore_Line2di_newFromLine:Int(pOther:Int)
	Function IrrCore_Line2di_del(pDel:Int)
	Function IrrCore_Line2di_setLineFromVals(pLine:Int,xa:Int,ya:Int,xb:Int,yb:Int)
	Function IrrCore_Line2di_setLineFromVects(pLine:Int,pStart:Int,pEnd:Int)
	Function IrrCore_Line2di_setLineFromLine(pLine:Int,pOther:Int)
	Function IrrCore_Line2di_getLength:Double(pLine:Int)
	Function IrrCore_Line2di_getVector:Int(pLine:Int)
	Function IrrCore_Line2di_getUnitVector:Int(pLine:Int)
	Function IrrCore_Line2di_getAngleWith:Double(pLine:Int,pLine2:Int)
	Function IrrCore_Line2di_intersectWith:Int(pLine:Int,pLine2:Int,pOut:Int)
	Function IrrCore_Line2di_getStart:Int(pLine:Int)
	Function IrrCore_Line2di_getEnd:Int(pLine:Int)
	Function IrrCore_Line2di_Plus:Int(pLine:Int,pPoint:Int)
	Function IrrCore_Line2di_Minus:Int(pLine:Int,pPoint:Int)
	Function IrrCore_Line2di_PlusEq(pLine:Int,pPoint:Int)
	Function IrrCore_Line2di_MinusEq(pLine:Int,pPoint:Int)
	Function IrrCore_Line2di_EqEq:Int(pLine:Int,pLine2:Int)
	Function IrrCore_Line2di_NotEq:Int(pLine:Int,pLine2:Int)
	Function IrrCore_Line2di_getLengthSQ:Int(pLine2di:Int)	
	' must delete
	Function IrrCore_Line2di_getMiddle:Int(pLine2di:Int) ' returns vector2di*
	Function IrrCore_Line2di_getPointOrientation:Int(pLine2di:Int,pVector2di:Int)
	Function IrrCore_Line2di_isPointOnLine:Int(pLine2di:Int,pVector2di:Int)
	Function IrrCore_Line2di_isPointBetweenStartAndEnd:Int(pLine2di:Int,pVector2di:Int)
	' must delete
	Function IrrCore_Line2di_getClosestPoint:Int(pLine2di:Int,pVector2di:Int) ' return vector2di*

EndExtern

