Public 

' ------------------------------------------------------------------------------------
'  irr::gui::IGUIMeshViewer wrappers
'  do Not Delete a pointer To this
' ------------------------------------------------------------------------------------
Type IGUIMeshViewer Extends IGUIElement Final

	Function createFromHandle:IGUIMeshViewer(pHandle:Int,bMustDel:Int=False,pGenFunc:Byte Ptr=Null)
		If Not pHandle Then Return Null
		Local oRetVal:IGUIMeshViewer=New IGUIMeshViewer
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction	
	
	' do not delete the pointer to this
	Method getMaterial:SMaterial()
		Return SMaterial.createFromHandle(IrrGUI_IGUIMeshViewer_getMaterial(handle),False)
	EndMethod
	
	Method setMaterial(material:SMaterial)
		IrrGUI_IGUIMeshViewer_setMaterial(handle,material.handle)
	EndMethod
	
	Method setMesh(mesh:IAnimatedMesh)
		IrrGUI_IGUIMeshViewer_setMesh(handle,mesh.handle)
	EndMethod

	Method getMesh:IAnimatedMesh()
		Return IAnimatedMesh.createFromHandle(IrrGUI_IGUIMeshViewer_getMesh(handle),False)
	EndMethod
	
EndType


