Public

' ------------------------------------------------------------------------------------
'  irr::gui::IGUITab wrappers
'  do Not Delete a pointer To this
' ------------------------------------------------------------------------------------
Type IGUITab Extends IGUIElement Final

	Function createFromHandle:IGUITab(pHandle:Int,bMustDel:Int=False,pGenFunc:Byte Ptr=Null)
		If Not pHandle Then Return Null
		Local oRetVal:IGUITab=New IGUITab
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction	
	
	Method getNumber:Int()	
		Return IrrGUI_IGUITab_getNumber(handle)
	EndMethod
	
	Method setBackgroundColor(color:SColor)
		IrrGUI_IGUITab_setBackgroundColor(handle,color.handle)
	EndMethod
	
	Method setDrawBackground(bDraw:Int=True)
		IrrGUI_IGUITab_setDrawBackground(handle,bDraw)
	EndMethod

	Method isDrawingBackground:Int()
		Return IrrGUI_IGUITab_isDrawingBackground(handle)
	EndMethod

	Method getBackgroundColor:SColor()
		Return SColor.createFromHandle(IrrGUI_IGUITab_getBackgroundColor(handle),True)
	EndMethod

EndType


