extern "C" 
{

//------------------------------------------------------------------------------------
// irr::IUnknown wrappers
//------------------------------------------------------------------------------------

/*
bool Irr_IUnknown_drop(IUnknown* unk)
{
	if (unk)
		return unk->drop();
	else return 0;
}

const c8* Irr_IUnknown_getDebugName(IUnknown* unk)
{
	if (unk)
		return unk->getDebugName();
	else return "";
}

void Irr_IUnknown_grab(IUnknown* unk)
{
	if (unk)
		unk->grab();
}
*/

bool Irr_IUnknown_drop(void* obj)
{
	if (obj) {
		IUnknown* unk=(IUnknown*)obj;
		return unk->drop();
	}
	else return 0;
}

const c8* Irr_IUnknown_getDebugName(void* obj)
{
	if (obj) {
		IUnknown* unk=(IUnknown*)obj;
		return unk->getDebugName();
	} else return "";
}

void Irr_IUnknown_grab(void* obj)
{
	if (obj) {
		IUnknown* unk=(IUnknown*)obj;
		unk->grab();
	}
}


}

