' ------------------------------------------------------------------------------------
' irr::scene::ILightSceneNode wrappers (parent is ISceneNode)
' ------------------------------------------------------------------------------------
Public

Type ILightSceneNode Extends ISceneNodeDefault Final

	Function createFromHandle:ILightSceneNode(pHandle:Int,bMustDel:Int=False,pGenFunc:Byte Ptr=Null)
		If Not pHandle Then Return Null
		Local oRetVal:ILightSceneNode=New ILightSceneNode
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction
	
	Method getLightData:SLight()
		' do not delete
		Return SLight.createFromHandle(IrrScene_ILightSceneNode_getLightData(handle),False)
	EndMethod

	Method setLightData(light:SLight)
		IrrScene_ILightSceneNode_setLightData(handle,light.handle)
	EndMethod

EndType

