Public

' ! enumeration For querying features of the video driver.
' enum E_VIDEO_DRIVER_FEATURE

' ! Is driver able To render To a surface?
Const EVDF_RENDER_TO_TARGET:Int = 0

' ! Is hardeware transform And lighting supported?
Const EVDF_HARDWARE_TL:Int=1

' Are multiple textures per material possible?
Const EVDF_MULTITEXTURE:Int=2

' ! Is driver able To render with a bilinear filter applied?
Const EVDF_BILINEAR_FILTER:Int=3

' ! Can the driver handle mip maps?
Const EVDF_MIP_MAP:Int=4

' Can the driver update mip maps automatically?
Const EVDF_MIP_MAP_AUTO_UPDATE:Int=5

' ! Are stencilbuffers switched on And does the device support stencil buffers?
Const EVDF_STENCIL_BUFFER:Int=6

' ! Is Vertex Shader 1.1 supported?
Const EVDF_VERTEX_SHADER_1_1:Int=7

' ! Is Vertex Shader 2.0 supported?
Const EVDF_VERTEX_SHADER_2_0:Int=8

' ! Is Vertex Shader 3.0 supported?
Const EVDF_VERTEX_SHADER_3_0:Int=9

' ! Is Pixel Shader 1.1 supported?
Const EVDF_PIXEL_SHADER_1_1:Int=10

' ! Is Pixel Shader 1.2 supported?
Const EVDF_PIXEL_SHADER_1_2:Int=11

' ! Is Pixel Shader 1.3 supported?
Const EVDF_PIXEL_SHADER_1_3:Int=12

' ! Is Pixel Shader 1.4 supported?
Const EVDF_PIXEL_SHADER_1_4:Int=13

' ! Is Pixel Shader 2.0 supported?
Const EVDF_PIXEL_SHADER_2_0:Int=14

' ! Is Pixel Shader 3.0 supported?
Const EVDF_PIXEL_SHADER_3_0:Int=15

' ! Are ARB vertex programs v1.0 supported?
Const EVDF_ARB_VERTEX_PROGRAM_1:Int=16

' ! Are ARB fragment programs v1.0 supported?
Const EVDF_ARB_FRAGMENT_PROGRAM_1:Int=17

' Is GLSL supported?
Const EVDF_ARB_GLSL:Int=18

' Is HLSL supported?
Const EVDF_HLSL:Int=19

' Are non-power-of-two textures supported?
Const EVDF_TEXTURE_NPOT:Int=20

' Are framebuffer objects supported?
Const EVDF_FRAMEBUFFER_OBJECT:Int=21


