Public
' ------------------------------------------------------------------------------------
'  irr::gui::IGUIStaticText wrappers (done)
' ------------------------------------------------------------------------------------

Type IGUIStaticText Extends IGUIElement Final

	Function createFromHandle:IGUIStaticText(pHandle:Int,bMustDel:Int=False,pGenFunc:Byte Ptr=Null)
		If Not pHandle Then Return Null
		Local oRetVal:IGUIStaticText=New IGUIStaticText
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction	
	
	Method setOverrideFont(font:IGUIFont)
		IrrGUI_IGUIStaticText_setOverrideFont(handle,font.handle)
	EndMethod
	
	Method setOverrideColor(color:SColor)
		IrrGUI_IGUIStaticText_setOverrideColor(handle,color.handle)
	EndMethod
	
	Method enableOverrideColor(bEnable:Int)
		IrrGUI_IGUIStaticText_enableOverrideColor(handle,bEnable)
	EndMethod
	
	Method setWordWrap(bEnable:Int)
		IrrGUI_IGUIStaticText_setWordWrap(handle,bEnable)
	EndMethod
	
	Method getTextHeight:Int()
		Return IrrGUI_IGUIStaticText_getTextHeight(handle)
	EndMethod

	Method getOverrideFont:IGUIFont()
		Return IGUIFont.createFromHandle(IrrGUI_IGUIStaticText_getOverrideFont(handle),False)
	EndMethod
	
	Method getOverrideColor:SColor()
		Return SColor.createFromHandle(IrrGUI_IGUIStaticText_getOverrideColor(handle),True)
	EndMethod
	
	Method isOverrideColorEnabled:Int()
		Return IrrGUI_IGUIStaticText_isOverrideColorEnabled(handle)
	EndMethod
	
	Method isWordWrapEnabled:Int()
		Return IrrGUI_IGUIStaticText_isWordWrapEnabled(handle)
	EndMethod
	
	Method getTextWidth:Int()
		Return IrrGUI_IGUIStaticText_getTextWidth(handle)
	EndMethod

	Method setBackgroundColor(color:SColor)
		IrrGUI_IGUIStaticText_setBackgroundColor(handle,color.handle)
	EndMethod
	
	Method setDrawBackground(bDraw:Int)
		IrrGUI_IGUIStaticText_setDrawBackground(handle,bDraw)
	EndMethod

EndType

