//------------------------------------------------------------------------------------
// irr::SKeyMap wrappers
//------------------------------------------------------------------------------------

extern "C" SKeyMap* Irr_SKeyMap_new()
{
	return new SKeyMap();
}

extern "C" void Irr_SKeyMap_del(SKeyMap* km)
{
	if (km)
		delete km;
		
	km=0;
}

extern "C" s32 Irr_SKeyMap_getAction(SKeyMap* km)
{
	if (km)
		return km->Action;
	else
		return 0;
}

extern "C" s32 Irr_SKeyMap_getKeyCode(SKeyMap* km)
{
	if (km)
		return km->KeyCode;
	else
		return 0;
}

extern "C" void Irr_SKeyMap_setAction(SKeyMap* km,EKEY_ACTION action)
{
	if (km)
		km->Action=action;
}

extern "C" void Irr_SKeyMap_setKeyCode(SKeyMap* km,EKEY_CODE keycode)
{
	if (km)
		km->KeyCode=keycode;
}

