Public

' enum E_ANIMATED_MESH_TYPE
' ! Unknown animated mesh type.
Const EAMT_UNKNOWN:Int = 0

' ! Quake 2 MD2 model file
Const EAMT_MD2:Int=1

' Quake 3 MD3 model file
Const EAMT_MD3:Int=2

' ! Milkshape 3d skeletal animation file
Const EAMT_MS3D:Int=3

' ! Maya .obj Not animated model
Const EAMT_OBJ:Int=4

' ! Quake 3 .bsp Map= Not animated
Const EAMT_BSP:Int=5

' ! 3D Studio .3ds file
Const EAMT_3DS:Int=6

' ! Microsoft Direct3D .x-file. Can contain static And skeletal animated 
' ! skinned meshes. This is the standard And best supported 
' ! format of the Irrlicht Engine.
Const EAMT_X:Int=7

' ! My3D Mesh= the file format by Zhuck Dimitry
Const EAMT_MY3D:Int=8

' ! Pulsar LMTools (.lmts) file. The Irrlicht loader For this was written by
' ! Jonas Petersen
Const EAMT_LMTS:Int=9

' ! Cartography Shop .csm file. The loader For this was created by Saurav Mohapatra.
Const EAMT_CSM:Int=10

' ! .oct file For Paul Nette's FSRad or from Murphy McCauley's Blender .oct exporter.
' ! The oct file format contains 3D geometry And lightmaps And can 
' ! be loaded directly by Irrlicht
Const EAMT_OCT:Int=11

' ! Blitz Basic .b3d file, the file format by Mark Sibly
Const EAMT_B3D:Int=12
