' ------------------------------------------------------------------------------------
'  irr::scene::IAnimatedMeshMD2 wrappers (parent is IAnimatedMesh)
' ------------------------------------------------------------------------------------
Public

Type IAnimatedMeshMD2 Extends IAnimatedMesh Final

	Function createFromHandle:IAnimatedMeshMD2(pHandle:Int,bMustDel:Int=True)
		If Not pHandle Then Return Null
		Local oRetVal:IAnimatedMeshMD2=New IAnimatedMeshMD2
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction
		
	Method getAnimationCount:Int()
		Return IrrScene_IAnimatedMeshMD2_getAnimationCount(handle)
	EndMethod
	
	Method getAnimationName:String(idx:Int)
		Return String.FromCString(IrrScene_IAnimatedMeshMD2_getAnimationName(handle,idx))
	EndMethod
	
	Method getFrameLoop:Int(name:String,outBegin:Int Ptr,outEnd:Int Ptr,outFps:Int Ptr)
		Return IrrScene_IAnimatedMeshMD2_getFrameLoop(handle,name,outBegin,outEnd,outFps)
	EndMethod
	
	Method getFrameLoopByType(EMD2_ANIMATION_TYPE_l:Int,outBegin:Int Ptr,outEnd:Int Ptr,outFps:Int Ptr)
		IrrScene_IAnimatedMeshMD2_getFrameLoopByType(handle,EMD2_ANIMATION_TYPE_l,outBegin,outEnd,outFps)
	EndMethod

EndType



