Public 

' ! An enum For all types of drivers the Irrlicht Engine supports.
' enum E_DRIVER_TYPE

' ! Null device, useful For applications To run the engine without visualisation. 
' ! The Null device is able To load textures, but does Not render And display
' ! any graphics.
Const EDT_NULL:Int=0     

' ! The Irrlicht Engine Software renderer, runs on all platforms,
' ! with every hardware. Is slow And does Not support every renderstate correctly.
' ! It should only be used For 2d Graphics, but it can also perform some
' ! primitive 3d functions.
Const EDT_SOFTWARE:Int=1

' ! The Apfelbaum Software Renderer, an alternative software renderer for Irrlicht.
' ! Basically it can be described as the Irrlicht Software renderer on steroids. It rasterizes
' ! 3D geometry perfectly: It is able to perform correct 3d clipping, perspective 
' ! correct texture mapping, perspective correct color mapping, and renders 
' ! sub pixel correct, sub texel correct primitives. In addition, it does
' ! bilinear texel filtering and supports more materials than the EDT_SOFTWARE driver.
' ! This renderer has been written entirely by Thomas Alten, thanks a lot for this huge
' ! contribution.
Const EDT_BURNINGVIDEO:Int=2

' ! Direct3D 8 device, only available on Win32 platforms including Win95, Win98, WinNT,
' ! Win2K, WinXP.
Const EDT_DIRECT3D8:Int=3

' ! Direct3D 9 device, only available on Win32 platforms including Win95, Win98, WinNT,
' ! Win2K, WinXP.
Const EDT_DIRECT3D9:Int=4

' ! OpenGL device, available on all Win32 platforms And on Linux.
Const EDT_OPENGL:Int=5

