' ------------------------------------------------------------------------------------
' irr::video::SExposedVideoData wrappers
' 
' WARNING: this cannot be created manually.  it can be obtained by calling
' IVideoDriver::getExposedVideoData()
' ------------------------------------------------------------------------------------
Public

Type SExposedVideoData Extends IrrBase Final

	Function createFromHandle:SExposedVideoData(pHandle:Int,bMustDel:Int=False)
		If Not pHandle Then Return Null
		Local oRetVal:SExposedVideoData=New SExposedVideoData
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction

	' returns IDirect3D9* 
	Method getIDirect3D9:Int()	
		Return IrrVideo_SExposedVideoData_getIDirect3D9(handle) 
	EndMethod
	
	' returns IDirect3DDevice9*
	Method getIDirect3DDevice9:Int()
		Return IrrVideo_SExposedVideoData_getIDirect3DDevice9(handle) 
	EndMethod
	
	' returns D3D9 window handle
	Method getIDirect3D9HWND:Int()
		Return IrrVideo_SExposedVideoData_getIDirect3D9HWND(handle) 
	EndMethod
	
	' returns IDirect3D8* 
	Method getIDirect3D8:Int()
		Return IrrVideo_SExposedVideoData_getIDirect3D8(handle) 
	EndMethod
	
	' returns IDirect3DDevice8* 
	Method getIDirect3DDevice8:Int()
		Return IrrVideo_SExposedVideoData_getIDirect3DDevice8(handle) 
	EndMethod
	
	' returns D3D8 window handle
	Method getIDirect3D8HWND:Int()
		Return IrrVideo_SExposedVideoData_getIDirect3D8HWND(handle) 
	EndMethod
	
	' returns opengl win32 hdc
	Method getOGLWin32HDc:Int()
		Return IrrVideo_SExposedVideoData_getOGLWin32HDc(handle) 
	EndMethod
	
	' returns opengl win32 hrc
	Method getOGLWin32HRc:Int()
		Return IrrVideo_SExposedVideoData_getOGLWin32HRc(handle) 
	EndMethod
	
	' returns opengl win32 hwnd
	Method getOGLWin32HWnd:Int()
		Return IrrVideo_SExposedVideoData_getOGLWin32HWnd(handle) 
	EndMethod

	Method getOGLLinuxWindow:Long()
		Return IrrVideo_SExposedVideoData_getOGLLinuxWindow(handle)
	EndMethod
	
	Method getOGLLinuxDisplay:Byte Ptr()
		Return IrrVideo_SExposedVideoData_getOGLLinuxDisplay(handle)
	EndMethod
	
EndType

